# dcc.rsend

Sends a file by using the Reverse DCC Send protocol

Usage

    dcc.rsend [-s] [-t] <nickname> [filename]

Description

Sends a DCC RSEND request to <nickname> notifying him that you want to send him the file [filename].
The remote end may acknowledge the request by sending a DCC RECV request. This command effects are similar to dcc.send, but will work also on machines that can't accept incoming connections (firewalling or masquerading problems).
A 120 seconds file offer is added for the specified file and mask "<nickname>!*@*".

Switches

-t | -tdcc
Emulate the TDCC protocol.
-s | --ssl

Use a Secure Socket Layer for the transfer; the whole communication will be encrypted with a private key algorithm after a public key handshake.
This option will work only if the KVIrc executable has been compiled with SSL support and the remote end supports the SSL protocol too.
Please note that this will may down the transfer somewhat.
-s can be combined with -t.
The CTCP negotiation will use SSEND as parameter (or eventually TSSEND).
When requesting a SSL based DCC send to someone you probably will need a certificate. If you don't have one, create it (for example with CA.pl -newcert) and set it in the options dialog.

-z | --zero-port
Use the 0 port method. This is a dirty hack that allows you to use the RSEND protocol with mIrc receiving clients.

Syntax Specification

    dcc.rsend [-s] [-t] <nickname> [filename]

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 06:46:00 2013